/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package exercise.one;
import java.awt.*;        // Using AWT container and component classes
import java.awt.event.*; 
/**
 *
 * @author ardito
 */
public class AWTAccumulatorLabel extends java.awt.Frame {

    private TextField tfInput;  // Declare input TextField
    private Label lbOutput; // Declare output TextField
    private int sum = 0;    
    
    public AWTAccumulatorLabel() {
//        initComponents();

        setLayout(new GridLayout(2, 2));
         // "super" Frame (Container) sets layout to GridLayout of 2 rows 2 columns.

        add(new Label("Enter an Integer: "));  // "super" Frame adds an anonymous Label

        tfInput = new TextField(10); // Construct TextField
        add(tfInput);                // "super" Frame adds TextField

        tfInput.addActionListener(new TFInputListener());
           // "tfInput" is the source object that fires an ActionEvent upon entered.
           // The source add an anonymous instance of TFInputListener as an ActionEvent
           //   listener, which provides an ActionEvent handler called actionPerformed().
           // Hitting "enter" on tfInput invokes actionPerformed().

        lbOutput = new Label("Accumulated Sum: 0");   // Construct by invoking a constructor via the new operator
        add(lbOutput);                      // this.add(lblInput) - "this" is typically a subclass of Frame

        
//        tfOutput = new TextField(10); // allocate TextField
//        tfOutput.setEditable(false);  // read-only
//        add(tfOutput);                // "super" Frame adds TextField

        setTitle("AWT Accumulator Label");  // "super" Frame sets title
        setSize(350, 120);  // "super" Frame sets initial window size
        setVisible(true);   // "super" Frame shows
        
        //        close windows
        addWindowListener(new WindowAdapter(){  
            public void windowClosing(WindowEvent e) {  
                dispose();  
            }  
        });  
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Exit the Application
     */
    private void exitForm(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_exitForm
        System.exit(0);
    }//GEN-LAST:event_exitForm

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        new AWTAccumulatorLabel();
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new AWTAccumulatorLabel().setVisible(true);
//            }
//        });
    }
    
    private class TFInputListener implements ActionListener {
      // ActionEvent handler - Called back upon hitting "enter" key on TextField
      @Override
      public void actionPerformed(ActionEvent evt) {
         // Get the String entered into the TextField tfInput, convert to int
         int numberIn = Integer.parseInt(tfInput.getText());
         sum += numberIn;      // Accumulate numbers entered into sum
         tfInput.setText("");  // Clear input TextField
         lbOutput.setText("Accumulated Sum: " +sum); // Display sum on the output TextField
                                     // convert int to String
      }
   }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
